
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>汇编语言的艺术-准备工作(五) / iVAN</title>

    <meta name="description" content="汇编语言的艺术-准备工作(五) 第四节 统一格式 一.格式统一之优点 不论采用何种程式语言,凡是共同工作.须相互研讨,或者在同一部门中,分担成败责任者,应该有统一的程式写作方式.这样不仅便于沟通,提高程式的品质,且可避免因某一程式师之离职或出缺所造成的后遗症. 良好的程式,应如一篇美妙的文学作品,其中有技巧,有意境.其功能不仅表现在执行的效率上,也可以作为同行间学习.欣赏的媒介,这些都必须透过统一的格式达成. 尤其是把组合程式写作当作一种艺术创作,就必须经常相互观摩,如果没有共通的格式规定,则这样的程式和「天书」可以说没有多大">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">汇编语言的艺术-准备工作(五)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>第四节 统一格式</p>
<p>一、格式统一之优点</p>
<p>不论采用何种程式语言，凡是共同工作、须相互研讨，或者在同一部门中，分担成败责任者，应该有统一的程式写作方式。这样不仅便于沟通，提高程式的品质，且可避免因某一程式师之离职或出缺所造成的后遗症。 <br />良好的程式，应如一篇美妙的文学作品，其中有技巧，有意境。其功能不仅表现在执行的效率上，也可以作为同行间学习、欣赏的媒介，这些都必须透过统一的格式达成。 <br />尤其是把组合程式写作当作一种艺术创作，就必须经常相互观摩，如果没有共通的格式规定，则这样的程式和「天书」可以说没有多大的分别。不论注释写得再好，一般程式师自己都怕看自己的程式，更何况参阅他人的? 但若有统一的格式，养成习惯后，不仅易看易懂，而且寻找、修改方便，写作也轻松省事。</p>
<p>二、规格</p>
<p>1,统一用大写字母，以利于阅读。 <br />2,空格处应采用 TAB，齐头等距，一目瞭然。 <br />3,标题之后立即改行输入，以便阅读。 <br />4,每行不得超过70个字母，以免长度不等，画面紊乱。 <br />5,注记位于指令后，在第五个 TAB的起点，空间不足时，可换行，但位置齐一。 <br />6,所有缓冲器统一定义在程式之前，不可夹杂在程式中间。 <br />7,除了需要作超过程式段的FAR CALL使用‘PROC FAR’外，切勿使用‘PROC NEAR ’形式，因这种写法毫无意义。 <br />8,程式开始时，应有注记说明使用要点。</p>
<p>以下举例说明统一格式： <br />1: PAGE 60,132 <br />2: TITLE [程式名],[程式师代号],[编号],[功能说明] <br />3: <br />4: DG SEGMENT PUBLIC <br />5: extrn bwsca1:word,.. <br />6: DG ENDS <br />7: <br />8: .. <br />9: .. <br />10: .. <br />11: <br />12: CG SEGMENT PUBLIC <br />13: extrn mmmm:near,.. <br />14: .. <br />15: public xxxx,yyyy,.. <br />16: ASSUME CS:CG,DS:DG,ES:DG <br />17: ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; <br />18: ; REM ………… ; <br />19: ; …………………. ; <br />20: ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; <br />21: START: <br />22: CLD <br />23: MOV AX,DG <br />24: MOV DS,AX <br />25: .. <br />26: .. <br />27: .. <br />28: <br />29:CG ENDS <br />30: END START</p>
<p>第一条的 PAGE 是供列印用的「保留指令」，表示每页所印的行数及列数。其后之 60,132 即为60行， 132个字符。 <br />第二条的 TITLE 为供查阅之「保留指令」。 <br />前述REM 注记栏中，应说明该段程式的功能、应用条件，以便其他程式师共同使用。</p>
<p>三、注记</p>
<p>注记的目的在于日后自己或他人能很容易地做程式修改、维护。因此所做描述当力求详尽。不幸的是，不论多么精彩的文句，总有不足之处。因此，注记时需把握重点，大体说来，程式需加以说明的，不外：</p>
<p>1,功能：做什么工作，需要何种先决条件。 <br />2,参数：设些什么数据，以供本段程式处理。 <br />3,缓冲器：用什么缓冲器，其工作特性如何。 <br />4,结果：执行后所产生的结果。 <br />5,子程式调用：在本段程式中，所需调用的子程式名。 <br />6,重要声明：如暂存器是否被破坏，或其他注意的事项。 <br />如： <br />【功能】：读键盘缓冲区输入码，依性质返回ASCII＋扫 <br />瞄码或中文内码 <br />【参数】: AH = 00H <br />【返回】: 11AL&lt; 80H，AH = 扫瞄码，AL = ASCII <br />12AL≧80H，AL = 四字元中文内码之一 <br />【破坏暂存器】：AX <br />【备注】：以本功能取中文内码，须连取４次，依序得 <br />到一中文４字元内码。 <br />当然，如果时间充足，最好能有程式的全部说明，以及制作、修改的细部记录。 <br />问题在于任何程式发展之初，一定乏善可陈。再加上不断的修改、增补，其间变化复杂无比。程式师又要全神贯注，解决问题，又要考虑如何注记，一心两用，必然谈不到效率。 <br />那么怎样做才对呢？我建议先让程式师自由发挥，在初期有无注记无关紧要。待程式完成了，大致上没有错误，这时，就应该停下来，从头到尾，将程式彻底整理一番。 <br />这样不仅加注记容易，而且程式师有机会重新「欣赏」自己的心血结晶，该改的改，该合并的合并，该删的删。最后，程式师经过反思，研究，技术将会大幅度进步，程式更精简，注记也正确无误，工作也达到最高效率。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:01:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%9f%e8%83%bd/" title="功能">功能</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e4%bd%9c/" title="工作">工作</a>, <a href="https://www.iamivan.net/tag/%e6%a0%bc%e5%bc%8f/" title="格式">格式</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e4%bb%a4/" title="指令">指令</a>, <a href="https://www.iamivan.net/tag/%e6%b3%a8%e8%ae%b0%e4%bf%ae%e6%94%b9%e9%ab%98%e7%a8%8b/" title="注记修改高程">注记修改高程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>汇编语言的艺术-准备工作(五)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk24ajM.html" rel="bookmark">汇编语言的艺术-准备工作&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				四.简化名称 前述各种工具,在程式侦错过程中使用频繁,为了应用上的方便,如果能少输入一些字符,不仅节省时间,且可避免错误.令用者在惯性反应下,得以集中精神,思考其他细节. 简化名称是最简单的方法,最好只用一个字母,由于长度相等,其后面的档案名称,就可以利用系统所提供的&quot;F3&quot;「复制上行」功能,不必再行输入. 是以:edlin.com 改为 e.com masm.exe 改为 m.exe link.exe 改为 l.exe debug.exe 改为 d.exe symdeb.exe 改为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2r9ep.html" rel="bookmark">汇编语言的艺术-准备工作&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一节 系统 一.系统之选择 只因真正瞭解电脑的人太少,迷信名气的结果,使得 IBM PC/AT占有了市场.为求电脑普及应用,我们唯有因陋就简,针对 IBM PC/AT及其兼容系统,作进一步的分析和说明. 尽管使用 80486 CPU的微电脑已问世,我个人认为以其造价及功能而言,并不符合效率法则.在从事艺术工作的立场,价值的高低,与所采用的材料没有绝对的关系.更何况我们正要证明,利用组合语言的制作技巧,能够使功能不高的微电脑发挥最大的边际效益.故本书仅以8088 CPU指令为研讨对象,至于程式应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PxZDM.html" rel="bookmark">汇编语言的艺术-准备工作&lpar;四&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二.原始档(Source File)档名定义 在共同设计大型模组时,程式师间的默契,全赖事先相互约定.否则程式越大,所面临的困难将越多,经常耗时费事,甚至最后功败垂成. 因此,在设计之初,必须妥善规划,将一应有关的档案.名称.功能等,皆明确地加以定义.参与设计的程式师,更必须严格遵守,方能得心应手. 原始档名的定义,其目的有三: 1,代表程式设计者:当制作的程式甚多时,一见档名,就应能分辨出各个程式的设计人.再如某程式师所编程式在一 个以上,则应在其本人代码之后,加一数字编号.这样,遇有任何问题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yx83z.html" rel="bookmark">汇编语言的艺术-准备工作&lpar;三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二.目标档侦错及工具 在使用 debug时,因为名称简短,用法也简单.若使用「标题侦错」symdeb.exe则不然,因为首先要生成.map档,测试时,输入文字也较多.对不断使用的人来说,难免嫌烦.简化的方法,是先制作执行档:s.bat 及 sm.bat s.bat 是专供指定程式侦错用,内容为: 1:symdeb %1.sym %1.exe 这是指已经有了原档的 .map 时,如果程式刚联接完毕,且在联接档中,没有生成 .map 的语句,则应制作 sm.bat 如下: 1:mapsym %1.m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOGoAM.html" rel="bookmark">汇编语言的艺术-观念正误&lpar;五&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				五.模组的效率 模组并不是一个新观念,在人类文明发展史上,人一直致力于瞭解自己身处的宇宙.这种瞭解,实际上就是模组应用的观念,将宇宙大环境,分解成为人所能认知的小环境,进而将小环境再分解成为个人的经验素材. 这样一层层地分解下去,便有了「概念.知识」.换句话说,概念及知识,就是一个个代表人类对客观认知的模组. 基于模组的特性,人才能灵活地加以应用,因而产生了「人类文明」.同理,当电脑的软件,也演化为模组方式,进一步大量推广运用时,电脑文明的时代,即将到来. 模组的效率是结构性效率的最高表现,在我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyr93b.html" rel="bookmark">汇编语言的艺术-基本认识&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一节 应用工具 一.对程式的认识 写作程式不难,但要写出好程式却不容易.这就好像画图一样,人人都能画,而画出来的图却可能有天壤之别. 想作一个好画家,首先要有观察及分析的能力,面对着杂乱的事物,先整理出头绪,找到主题.再在画布上勾出轮廓,这叫做「布局」.布局完毕,根据实际的环境,决定作图的先后「顺序」.顺序是一种层次观念,景物及色彩都有一定的层次,绝不可随意所之,想到哪里,画到哪里. 观察考虑完毕,即开始准备,先将画笔.调色板等工具放妥,把要表现的主要色彩也调好.最后是选择适当的画笔,蘸上色彩			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDAd56b.html" rel="bookmark">汇编语言的艺术-观念正误&lpar;四&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				三.利人与利己 任何一种商业产品,当然是以利益为先,利己后而利人.如果是艺术品创造,则刚刚相反,唯有能忽视己利,沥血泣心地探索,虔诚狂热地奉献,才会迸发出人性的光辉,创造不朽的杰作. 艺术家之伟大,在于此,人性之可贵,在于此. 对组合程式语言,有人视为商品,将写作技巧当作专利,轻不示人.相信这也是迄今尚无一本像样的参考书籍之根本原因,我买了不少这类书,但书中除了指令介绍以及编程.侦错的手续外,完全没有技巧的说明,好像懂得指令就可以把程式写好一般.当我自己下了不少功夫,得到了一些心得,再回过头来看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAa2XJM.html" rel="bookmark">汇编语言的艺术-观念正误&lpar;三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第二节 组合语言 一.结构基础 物质文明之有今天的成就,是因为人类掌握了物质的基本结构.物质的种类无穷,但是却都由基本元素交互组成,只要根据一定的法则,就能得到一定的结果. 电脑技术虽然日新月异,应用软件的变化也无止无尽,而其基本因子却非常有限.各种微处理器的组合语言,正是电脑软体的基础结构,任何要通过软件以完成的动作,都是经由组合语言的指令群,逐步执行的. 因为电脑结构复杂,各种任务分工极精,即使是一位资深的高级程式师,终其生也不过局限在若干固定的程式中钻研,很难以宏观的立场认知全貌.再加上市			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm72mwb.html" rel="bookmark">汇编语言的艺术-观念正误&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				四.美国市场的程式语言应用 我手头唯一的资料,是美国 COMPUTER 杂志在1983年五月刊载于第65页的文章,讨论当时的 362种软件发展工具,存贮在一个「相关性资料库」中,并且对该资料库中工具的利用情况,一一分析. 文中列举了34种程式语言,以及其他各种应用工具,兹将程式语言部份,抄录如后. ┌─────────┬──┬─────────┬──┐ │ 程 式 语 言 │数量│ 程 式 语 言 │数量│ ├─────────┼──┼─────────┼──┤ │FORTRAN │ 110│C			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAaDJM.html" rel="bookmark" class="title">空文件夹却有容量怎么回事</a>
					<div>
						正常情况下,我们新建一个空文件夹,右键单击属性,查看文件夹大小,可以看到文件夹大小是0字节,也就是说空文件夹是没有大小的.但有时候你可以发现空文件夹时有容量的,这是怎么回事呢? 这究竟是怎么回事,怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Wlab.html" rel="bookmark" class="title">meta标签的使用方法</a>
					<div>
						meta是用来在HTML文档中模拟HTTP协议的响应头报文.meta 标签用于网页的&lt;head&gt;与&lt;/head&gt;中,meta 标签的用处很多.meta 的属性有两种:name和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlDqVM.html" rel="bookmark" class="title">将错就错，我的IP突然提升到1000多</a>
					<div>
						 我在上文(我是怎么做起网站来的)提到过我的建站经历,新建了一个网站后,IP基本固定在20个以上,也不见什么大的起色,我每天都要打开站长统计好几次,IP就是不见长,真是急人啊.我真想就这样放弃了,站长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7nywb.html" rel="bookmark" class="title">Linux系统基础之创建lvm</a>
					<div>
						根据公司需求,要搭建台文件服务器,首先想到了Samba,其次为了方便各部门所占磁盘空间的扩展,决定采用lvm,过程如下: 1.创建linux分区					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj783p.html" rel="bookmark" class="title">如何找回Win8系统休眠选项</a>
					<div>
						Win8中默认的电源选项中没有休眠相关选项. 而使用Alt+F4在Aero界面下看到的关闭Windows选项,依然是没有有休眠的. Win+R输入gpedit.msc 命令和Win7一致. 然后进入组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yO8Qz.html" rel="bookmark" class="title">PS调出复古清新少女色调</a>
					<div>
						  大家好,这里是嘴儿(@嘴儿爱拍照)又一次分享拍摄思路以及后期的时间. 这次所写的教程只是给大家提供一个修片思路,希望大家不要依葫芦画瓢,而是通过我提供的教程创造出属于自己修片思路和色调. PS:这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8JL3b.html" rel="bookmark" class="title">PS利用图层混合模式制作牛仔布上缝字的效果</a>
					<div>
						  效果图~ 我去GOOGLE找了一张小牛皮和一匹布~ 打开小牛皮~ 顺便把牛仔布也放进去~ 输入一种字体为&quot;方正胖头鱼&quot;的字体,大小为230左右,大点小点无关紧要~ 先做牛仔布这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNO2GM.html" rel="bookmark" class="title">win7旗舰版系统中怎么开启网卡</a>
					<div>
						  1.首先,咱们需要进入到win7旗舰版系统的bios设置界面中,操作很简单,咱们只需要重启一下自己的win7旗舰版电脑,然后在电脑出现开机画面的时候咱们按下键盘上的DEL键,这样就可以进入到BIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24DQkp.html" rel="bookmark" class="title">TNT快递将欧洲枢纽由比利时列日逐步转移至德国科隆</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/29918.html&quot;&gt;TNT快递目前正将比利时列日机场欧洲枢纽中心逐步转移至德国科隆. 目前,TNT欧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oloab.html" rel="bookmark" class="title">微信：走出中国，走向世界？</a>
					<div>
						在海外市场,中国的应用和软件似乎并不景气.我们能叫得出名字的,或许就是海豚浏览器了.但海豚浏览器准确来说还不是一个从中国本土走向世界的产品,而更应该说是一款先从国外发力,甚至说是一家具有外国基因的中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB9Y8z.html" rel="bookmark" class="title">c语言-用vs2015出现闪退为什么？？？</a>
					<div>
						问题描述 用vs2015出现闪退为什么??? 就是出现什么无法打开PDK文件为什么?????求解释............ 解决方案 不知道你说的pdk是什么东西,vs的项目是sln csproj等后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl4O8b.html" rel="bookmark" class="title">教你如何突出纯文本的信息</a>
					<div>
						本文整理自@知乎 的问答&quot;在图文混合的信息流里面,如何突出纯文本的信息呢?&quot; 问题:随着 Feed 类型越来越丰富,展示样式越来越多样化,最基础的纯文本信息(状态 or 日志)就容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6Z5qz.html" rel="bookmark" class="title">百度地图API 小区等标注不可触碰</a>
					<div>
						问题描述 百度地图API 小区等标注不可触碰 这是正常显示的,鼠标触碰后 是这个样子的,怎么样才能不让这些标注被触碰 解决方案 // 删除标注 function removeMarker(){ var ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl6YQb.html" rel="bookmark" class="title">word2pdf-用JAVA如何将MS Word文档转换为PDF文档</a>
					<div>
						问题描述 用JAVA如何将MS Word文档转换为PDF文档 我现在需要在项目中实现将word转换为pdf文档的功能. 之前在网上查过一些资料,主要就是通过调用openoffice服务的方式实现, 而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlRg3b.html" rel="bookmark" class="title">android-如何检查 LocationManager&period;NETWORK&lowbar;PROVIDER 是否可用？</a>
					<div>
						问题描述 如何检查 LocationManager.NETWORK_PROVIDER 是否可用? 如何检查 LocationManager.NETWORK_PROVIDER 是否可用?我在 Andro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBymQM.html" rel="bookmark" class="title">阿里巴巴这么看互联网金融</a>
					<div>
						本文源自http://www.aliyun.com/zixun/aggregation/13316.html&quot;&gt;支付宝CEO彭蕾的一次内部讲话,在她看来,互联网改变了很多的行业,它的本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZJamz.html" rel="bookmark" class="title">页面某个时间点刷新数据问题实现方案疑问</a>
					<div>
						问题描述 现在项目上有个问题关于&quot;页面某个时间点刷新数据问题&quot;比如前台活动9点开始,9点开始显示新出来的数据.虽然后台查询SQL是以9点判断的,但是前台做了squid缓存,导致数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXwx5b.html" rel="bookmark" class="title">如何协调提供商与企业之间的云管理</a>
					<div>
						本文讲的是如何协调提供商与企业之间的云管理,在云端有效管理应用性能和可用性看起来似乎就是可视化和整合的问题,但是实际上源于应用组件和服务之间的关系.为了解决这个问题,你必须首先知道终端用户如何看待这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQLkVp.html" rel="bookmark" class="title">C&num;和C&plus;&plus;通过命名管道进程间通信的问题</a>
					<div>
						问题描述 同一个机子上,C++是别人的程序,但是我知道他的管道名称.C#这边程序怎么建立这个管道的连接啊,谢谢 解决方案 解决方案二:改成webservice方式得了,,C++也有调用webservi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5r9Wp.html" rel="bookmark" class="title">马云&OpenCurlyDoubleQuote;垄断&rdquo;社交网络王健林赴港敲锣&comma;都是资本赢家</a>
					<div>
						马云&quot;垄断&quot;社交网络 社交网络一直不是阿里巴巴的长项,但在2014年,马云用另外一种方式统治了中国的社交网络. 马云带领的阿里巴巴集团2014年9月19日于美国纽交所上市,创造了史 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJExkp.html" rel="bookmark" class="title">防止表面鼓包的起重机箱型配重块的制备方法</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 避免外表鼓包的起重机箱型配重块的制备办法 包括以下步骤 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwx3OM.html" rel="bookmark" class="title">深度 &vert; 机器学习对抗性攻击报告，如何欺骗人工智能？</a>
					<div>
						雷锋网按:本文作者曹跃.仲震宇.韦韬,首发于百度安全实验室公众号,雷锋网(公众号:雷锋网)授权转载. 科技的发展使人工智能离人类的生活越来越近,其中隐含的安全问题也渐渐引起顶级安全专家们的关注. 本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk2QJz.html" rel="bookmark" class="title">李小冉签约有奇怪要求为躲避某影视公司老总</a>
					<div>
						新浪娱乐讯 鄢颇被砍事件女主角李小冉主演的电影&lt;爱,不爱&gt;日前刚刚杀青,该片负责人在面对媒体时替李小冉&quot;申冤&quot;,称其在感情上没有&quot;灰色地带&quot;,但与剧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8x1Kb.html" rel="bookmark" class="title">五个体验设计师可以改进的习惯</a>
					<div>
						我曾经参加过UXDAY2012的活动,也就是Designing Shanghai2012,而活动的过程就是去中山公园观察公园里的老人,还有探访老人之家之类的,通过活动寻找到可以设计可以帮助老人建立更好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWEjYz.html" rel="bookmark" class="title">Apache的URL重写规则的参数说明</a>
					<div>
						1) R[=code](force redirect) 强制外部重定向   强制在替代字符串加上http://thishost[:thisport]/前缀重定向到外部的URL.如果code不指定,将用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnrxxp.html" rel="bookmark" class="title">Android底部导航栏实现（一）之BottomNavigationBar</a>
					<div>
						BottomNavigationBar这个控件的使用之前已经写过,这里不再赘述,详情请参考BottomNavigationBar的使用. 下面直接上代码: 初始化及相关设置: mBottomNavig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmk56p.html" rel="bookmark" class="title">2020年动力锂电池报废量将达32&period;2Gwh 国内回收体系仍存短板</a>
					<div>
						近两年,新能源汽车发展势头迅猛.从全球范围来看,2015年全球新能源汽车销量为52.8万辆,2016年为77万辆,同比增长率为42%,到2020年预计销量会达到300万辆,甚至会更高. 中国已成新能源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqgy6Rz.html" rel="bookmark" class="title">大数据热议的背后 企业人才全面洗牌</a>
					<div>
						&quot;互联网每2天产生的数据量,与2003年之前产生的数据总量一样多:短短三天,网民便会发送超过10亿条的推特消息:每天有500万条交易事件被记录.&quot; &quot;IBM首次赞助全国大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAr1qp.html" rel="bookmark" class="title">如何避免转载文章排名比原创文章好</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 本人草根博客站长一名,自一年前开始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YmgWp.html" rel="bookmark" class="title">《Redis设计与实现》阅读：Redis底层研究之简单动态字符串SDS</a>
					<div>
						        除仅用于字符串字面量的情况外,对于可以被修改值的字符串的表示,Redis底层并没有采用C语言传统的字符串表示,即以空字符结尾的字符数组,而是采用专门为其设计的简单动态字符串作为其默认字 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
